This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 918784 (CVE-2013-1823)

Summary: CVE-2013-1823 Katello: Notifications page Username XSS
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: adprice, bkearney, cpelland, mmccune, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130326,reported=20130212,source=redhat,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,sam-1/katello=affected,cwe=CWE-79[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-26 16:19:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 909472, 918786    
Bug Blocks: 918787    

Description Kurt Seifried 2013-03-06 15:57:46 EST
Suresh Thiru (sthirugn@redhat.com) of Red Hat reports:

Description of problem:
In Notifications page, the Username should escape html characters

Steps to Reproduce:
1. Create a user named <blink>FOOO</blink>
2. Go to Notifications page and notice that FOOO is in blinking mode in the page
  
Actual results:
FOOO is in html blinking mode in the Notifications page

Expected results:
Username should be displayed fully in Notifications page: <blink>FOOO</blink>
Comment 2 Murray McAllister 2013-03-25 20:10:53 EDT
Acknowledgements:

This issue was discovered by Sureshkumar Thirugnanasambandan of the Red Hat Quality Engineering Team.
Comment 3 errata-xmlrpc 2013-03-26 15:19:56 EDT
This issue has been addressed in following products:

  Red Hat Subscription Asset Manager 1.2

Via RHSA-2013:0686 https://rhn.redhat.com/errata/RHSA-2013-0686.html